Remove redundant "if use oci8-instant-client" check.